org.apache.ignite.internal.processors.cache.persistence

## Class RowStore

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.RowStore

Direct Known Subclasses:
  CacheDataRowStore

    public class RowStore
    extends Object

Data store for H2 rows.

### Field Summary

Fields
`protected CacheObjectContext` `coctx`
`protected PageMemory` `pageMem`

### Constructor Summary

Constructors
Constructor and Description
`RowStore(CacheGroupContext grp, FreeList freeList)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addRow(CacheDataRow row)`
`FreeList` `freeList()`
`void` `removeRow(long link)`
`void` `setRowCacheCleaner(GridQueryRowCacheCleaner rowCacheCleaner)` Inject rows cache cleaner.
`boolean` `updateRow(long link, CacheDataRow row)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pageMem

    protected final PageMemory pageMem

#### coctx

    protected final CacheObjectContext coctx

### Constructor Detail

#### RowStore

    public RowStore(CacheGroupContext grp,
                    FreeList freeList)

Parameters:
  `grp` - Cache group.
  `freeList` - Free list.

### Method Detail

#### removeRow

    public void removeRow(long link)
                   throws IgniteCheckedException

Parameters:
  `link` - Row link.
Throws:
  `IgniteCheckedException` - If failed.

#### addRow

    public void addRow(CacheDataRow row)
                throws IgniteCheckedException

Parameters:
  `row` - Row.
Throws:
  `IgniteCheckedException` - If failed.

#### updateRow

    public boolean updateRow(long link,
                             CacheDataRow row)
                      throws IgniteCheckedException

Parameters:
  `link` - Row link.
  `row` - New row data.
Returns:
  `True` if was able to update row.
Throws:
  `IgniteCheckedException` - If failed.

#### freeList

    public FreeList freeList()

Returns:
  Free list.

#### setRowCacheCleaner

    public void setRowCacheCleaner(GridQueryRowCacheCleaner rowCacheCleaner)

Inject rows cache cleaner.

Parameters:
  `rowCacheCleaner` - Rows cache cleaner.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018